- Qt 6.8
- Qt Core
- <QtVersion> Proxy Page
- Qt 6.8.3 Reference Documentation

# <QtVersion> Proxy Page

## Functions

const char * | qVersion()

## Macros

| QT_VERSION_STR

## Function Documentation

### `[noexcept]` const char *qVersion()

Returns the version number of Qt at runtime as a string (for example, "6.1.2"). This is the version of the Qt library in use at runtime, which need not be the version the application was compiled with.

See also QT_VERSION_STR and QLibraryInfo::version().

## Macro Documentation

### QT_VERSION_STR

This macro expands to a string that specifies Qt's version number (for example, "6.1.2"). This is the version with which the application is compiled. This may be a different version than the version the application will find itself using at runtime.

See also qVersion() and QT_VERSION.